> ## Documentation Index
> Fetch the complete documentation index at: https://docs.engine.usesophic.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List account transactions

> Retrieve the account's transaction activity.



## OpenAPI

````yaml https://api.engine.usesophic.com/openapi.json get /accounts/{id}/transactions
openapi: 3.1.0
info:
  title: Sophic Engine API
  version: 0.1.0
servers:
  - url: https://api.engine.usesophic.com/
security: []
paths:
  /accounts/{id}/transactions:
    get:
      summary: List account transactions
      description: Retrieve the account's transaction activity.
      operationId: list_account_transactions_accounts__id__transactions_get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: Id
        - name: limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            x-remove-null: true
            title: Limit
        - name: transaction_types
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/TransactionType'
              - type: 'null'
            title: Transaction Types
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Transaction'
                title: >-
                  Response List Account Transactions Accounts  Id  Transactions
                  Get
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - HTTPBearer: []
components:
  schemas:
    TransactionType:
      type: string
      enum:
        - deposit
        - withdrawal
        - buy
        - sell
        - fee
        - refund
        - maturity
        - coupon_payment
        - merger
        - fx
        - position_migration_in
        - book_transfer
      title: TransactionType
      properties: {}
    Transaction:
      properties:
        id:
          type: string
          title: Id
        summary:
          type: string
          title: Summary
        booked_at:
          type: string
          format: date-time
          title: Booked At
        settlement_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Settlement Date
        cash_amount:
          anyOf:
            - type: string
            - type: 'null'
          title: Cash Amount
        unit_quantity:
          anyOf:
            - type: string
            - type: 'null'
          title: Unit Quantity
        unit_price:
          anyOf:
            - type: string
            - type: 'null'
          title: Unit Price
        tax:
          type: string
          title: Tax
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        instrument:
          anyOf:
            - type: string
            - type: 'null'
          title: Instrument
        transaction_type:
          $ref: '#/components/schemas/TransactionType'
        reference:
          anyOf:
            - type: string
            - type: 'null'
          title: Reference
        reference_type:
          $ref: '#/components/schemas/ReferenceType'
        taxes:
          items:
            $ref: '#/components/schemas/TransactionTax'
          type: array
          title: Taxes
      type: object
      required:
        - id
        - summary
        - booked_at
        - settlement_date
        - cash_amount
        - unit_quantity
        - unit_price
        - tax
        - currency
        - instrument
        - transaction_type
        - reference
        - reference_type
        - taxes
      title: Transaction
    Error:
      properties:
        detail:
          type: string
          title: Detail
          description: A human-readable description of the error.
        code:
          type: string
          title: Code
          description: A machine-readable error code.
        docs:
          title: Docs
          description: A URL to documentation about this error code.
          x-remove-null-from-type-union: true
          type: string
        context:
          title: Context
          description: An optional object for adding extra context to the error.
          x-remove-null-from-type-union: true
          additionalProperties:
            anyOf:
              - type: string
              - type: integer
          type: object
        params:
          title: Params
          description: An optional list of params that failed validation.
          x-remove-null-from-type-union: true
          items:
            $ref: '#/components/schemas/InvalidParam'
          type: array
      type: object
      required:
        - detail
        - code
      title: Error
    ReferenceType:
      type: string
      enum:
        - deposit
        - withdrawal
        - order
        - fee_charge
        - refund
        - corporate_action
        - position_migration_in
        - book_transfer
      title: ReferenceType
      properties: {}
    TransactionTax:
      properties:
        rate:
          type: string
          title: Rate
        amount:
          type: string
          title: Amount
        currency:
          type: string
          title: Currency
      type: object
      required:
        - rate
        - amount
        - currency
      title: TransactionTax
    InvalidParam:
      properties:
        path:
          items:
            anyOf:
              - type: integer
              - type: string
          type: array
          title: Path
          description: Path to the field name (or index if a list) that errored.
        detail:
          type: string
          title: Detail
          description: Human-readable detail for error.
        code:
          type: string
          title: Code
          description: A machine-readable error code.
      type: object
      required:
        - path
        - detail
        - code
      title: InvalidParam
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````